RED='\033[0;31m'
GREEN='\033[0;32m'
NC='\033[0m'

if ping -q -c 1 -W 1 8.8.8.8 >/dev/null; then
  echo "Internet is up"
else
  echo "Internet is down, Please connect to internet and try again."
  exit
fi

  echo -e "------------------------${GREEN}Downloading and Installing all the required dependencies for EyeRIS${NC}-------------------------"
  echo -e "------------------------${GREEN}Updating System Files${NC}-------------------------"
  sudo apt update
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}System Files Updated${NC}"
  else
    echo -e "${RED}ERROR: Failed to Update System Files, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Adding Mono Repository${NC}-------------------------"  
  sudo apt-get install -y dirmngr gnupg apt-transport-https ca-certificates software-properties-common
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Repository Added${NC}"
  else
    echo -e "${RED}ERROR: Failed to add repository, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Adding Repository GPG keys${NC}-------------------------"
  sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Added GPG keys${NC}"
  else
    echo -e "${RED}ERROR: Failed to add GPG keys, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Adding Repo to system sources${NC}-------------------------"
  sudo apt-add-repository 'deb https://download.mono-project.com/repo/ubuntu stable-focal main'
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Installed libxdo-dev${NC}"
  else
    echo -e "${RED}ERROR: Failed to add repo to system sources, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Installing Mono${NC}-------------------------"
  sudo apt-get install -y mono-complete 
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Installed openexr${NC}"
  else
    echo -e "${RED}ERROR: Failed to Install Mono, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Installing Gtk-2${NC}-------------------------"
  sudo apt-get install -y gtk-sharp2
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Installed Gtk-2${NC}"
  else
    echo -e "${RED}ERROR: Failed to Install Gtk-2, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Finished Installing all the dependencies.${NC}-------------------------"
  sudo dpkg -i IntelliSpace_v2.2.4_U24.04_x64_Online_installer.deb
  echo -e "------------------------${GREEN}Finished Installing Intellispace,Please Reboot the System.${NC}-------------------------"
